

export const setMainColumns = self => {
  return [
    { dataIndex: 'id', title: 'ID', hidden: true },
    { dataIndex: 'initiatedUserName', title: '申请人' ,width: 100},
    { dataIndex: 'approvalFlowTypeName', title: '审批类型', width: 250,ellipsis:true },
    {
      dataIndex: 'approvalObjectName', title: '审批详情', width: 200,
      customRender(txt, record) {
        return self._c(
          'a',
          {
            attrs: {
              href: 'javascript:void(0)'
            },
            on: {
              click: () => {
                return self.$emit('details', record)
              }
            }
          },
          [self._v(txt)]
        )
      }

    },
    { dataIndex: 'statusName', title: '状态',width:160},
    { dataIndex: 'initiatedTime', title: '发起时间',width:160 },
    // {
    //   key: 'demo',
    //   title: '效果',
    //   width: 300,
    //   customRender(txt, record) {
    //     const { color, background } = record
    //     return self._c('div', { class: 'row-colorView',  }, [self._c("div", { class: 'content',style: { color, background,} }, [self._v('正文内容预览')])])
    //   }
    // },


  ]
}
